package com.ssj.dao.sys.situation.dao;

import com.ssj.bean.sys.situation.domain.LearningSituation;
import com.ssj.bean.weixin.libmy.domain.LibVip;
import com.ssj.service.sys.situation.bo.DimesionCount;

import java.util.List;
import java.util.Map;

public interface LearningConditionDao {

	String queryLastDay();

	List<LibVip> queryAllVip();

	String queryGradeByVipId(String id);

	List<String> getServiceStudentIdsByGrade(String grade);

	List<Map<String, Object>> queryManualHomeworkKnowMoudle(String vipId, String grade, String courseName);

	List<Map<String, Object>> queryAutoHomeworkKnowMoudle(String vipId, String grade, String courseName);

	Integer insertOrUpdateLearnSituation(LearningSituation situation);

	List<DimesionCount> queryManualPointData(String vipId, String grade, String courseName);

	List<DimesionCount> queryAutoPointData(String vipId, String grade, String courseName);

	List<Map<String, Object>> getAvgCountByDimension(String grade, Integer semester, String courseName);

	String querySuggestByDimension(String dimension, String grade, Integer degree, String courseName, Integer type);

	List<Map<String, Object>> queryAutoHwMoudleByDate(Integer startNum, Integer size, String date);

	List<Map<String, Object>> queryManualHwMoudleByDate(Integer startNum, Integer size, String date);

	List<String> queryAllDimensionByGradeCourseSemes(String grade, Integer semester, String courseName, Integer banben);

	void deleteAll();

	List<LearningSituation> queryHistoryByVipIdAndSubject(String vipId, String subject);

	void deleteAllAvg();
}
